SDL_ShowWindowSystemMenu(3)

NAME
SDL_ShowWindowSystemMenu - Display the system-level window menu.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_ShowWindowSystemMenu(SDL_Window *window, int x, int y);

DESCRIPTION
This default window menu is provided by the system and on some platforms provides functionality for setting or changing privileged state on the window, such as moving it between workspaces or displays, or toggling the always-on-top property. On platforms or desktops where this is unsupported, this function does nothing.

FUNCTION PARAMETERS

window
    the window for which the menu will be displayed

x   the x coordinate of the menu, relative to the origin (top-left) of the client area

y   the y coordinate of the menu, relative to the origin (top-left) of the client area

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.